CHRT(1)

NOM
chrt - Manipuler les attributs temps réel d'un processus

SYNOPSIS

chrt [options] priorité commande [argument ...]

chrt [options] -p [priorité] PID

DESCRIPTION

chrt définit ou récupère les attributs d'ordonnancement en temps réel d'un PID existant ou exécute la commande avec les attributs fournis.

STRATÉGIES

-o, --other
    Définir la stratégie d’ordonnancement à SCHED_OTHER (temps partagé). Il s'agit de la stratégie d'ordonnancement par défaut de Linux.

-f, --fifo
    Définir la stratégie d'ordonnancement à SCHED_FIFO (premier entré, premier sorti).

-r, --rr
    Définir la stratégie d’ordonnancement à SCHED_RR (tourniquet). Quand la stratégie n’est pas définie, SCHED_RR est utilisée par défaut.

-b, --batch
    Définir la stratégie d'ordonnancement à SCHED_BATCH (traitement par lot). Elle est spécifique au système Linux, gérée depuis la version 2.6.16. L’argument priorité doit être défini à zéro.

-i, --idle
    Définir la stratégie d'ordonnancement à SCHED_IDLE (ordonnancement avec très faible priorité des tâches). Elle est spécifique au système Linux, gérée depuis la version 2.6.23. L’argument priorité doit être défini à zéro.

-d, --deadline
    Définir la stratégie d'ordonnancement à SCHED_DEADLINE (modèle de processus sporadique avec délai). Elle est spécifique au système Linux, prise en charge depuis la version 3.14. L'argument priorité doit être réglé à zéro. Voir aussi --sched-runtime, --sched-deadline et --sched-period. La relation entre les options exigées par le noyau est : période_exécution (runtime) <= délai (deadline) <= période (period). chrt copie période dans délai si --sched-deadline n'est pas spécifié et délai dans période_exécution si --sched-runtime n'est pas spécifié. Cela veut dire qu'au moins --sched-period doit être spécifié. Voir sched(7) pour plus de détails.

OPTIONS D'ORDONNANCEMENT

-T, --sched-runtime nanosecondes
    Spécifier le paramètre d'exécution pour la stratégie SCHED_DEADLINE (spécifique au système Linux).

-P, --sched-period nanosecondes
    Spécifier le paramètre de la période pour la stratégie SCHED_DEADLINE (spécifique au système Linux).

-D, --sched-deadline nanosecondes
    Spécifier le paramètre de la date limite pour la stratégie SCHED_DEADLINE (spécifique au système Linux).

-R, --reset-on-fork
    Utiliser l’attribut SCHED_RESET_ON_FORK ou SCHED_FLAG_RESET_ON_FORK Il est spécifique au système Linux, géré depuis la version 2.6.31.

Chaque thread a un attribut d'ordonnancement reset-on-fork. Quand il est positionné, les enfants créés par fork(2) n'héritent pas des stratégies d'ordonnancement privilégiées. Après que l'attribut reset-on-fork ait été activé, il ne peut être réinitialisé que si le thread a la capacité CAP_SYS_NICE. Cet attribut est désactivé dans les processus enfants créés par fork(2).

Plus précisément, si l'attribut reset-on-fork est positionné, les règles suivantes s'appliquent aux enfants créés par la suite :

    • Si le thread appelant a une politique d'ordonnancement SCHED_FIFO ou SCHED_RR, la politique pour les processus enfant est réinitialisée à SCHED_OTHER.

    • Si le processus appelant a une valeur de politesse négative, elle est mise à zéro pour les processus enfant.

OPTIONS

-a, --all-tasks
    Définir ou récupérer les attributs d'ordonnancement de toutes les tâches (threads) d'un PID donné.

-m, --max
    Afficher les priorités minimales et maximales, puis quitter.

-p, --pid
    Agir sur un PID existant et ne pas lancer de nouvelle tâche.

-v, --verbose
    Montrer les informations d'état.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

UTILISATION

Le comportement par défaut est d'exécuter une nouvelle commande :
    chrt priorité commande [paramètres]

Vous pouvez aussi récupérer les attributs temps réel d'une tâche existante :
    chrt -p PID

ou les définir :
    chrt -r -p priorité PID

PERMISSIONS

Un utilisateur doit posséder la capacité CAP_SYS_NICE afin de modifier les attributs d'ordonnancement d'un processus. N'importe quel utilisateur peut récupérer les informations d'ordonnancement.

NOTES

Seules SCHED_FIFO, SCHED_OTHER et SCHED_RR font partie de la norme POSIX 1003.1b d’ordonnancement de processus. Les autres attributs d'ordonnancement pourraient être ignorés sur certains systèmes.

La stratégie d’ordonnancement par défaut sous Linux est SCHED_OTHER.

AUTEURS

VOIR AUSSI

nice(1), renice(1), taskset(1), sched(7)

Consultez sched_setscheduler(2) pour une description de l'organisation de l'ordonnancement de Linux.

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande chrt fait partie du paquet util-linux qui peut être téléchargé sur

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.